Bug 865958 - AttributeError: 'Keyboard' object has no attribute 'x_layouts'
AttributeError: 'Keyboard' object has no attribute 'x_layouts'
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:bc96624f063ac7b781e56aa2926...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 18:16 EDT by Brian Lane
Modified: 2012-10-15 12:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-15 12:02:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (191.24 KB, text/plain)
2012-10-12 18:16 EDT, Brian Lane
no flags Details
File: product (6 bytes, text/plain)
2012-10-12 18:16 EDT, Brian Lane
no flags Details
File: type (9 bytes, text/plain)
2012-10-12 18:16 EDT, Brian Lane
no flags Details
File: storage.log (46.53 KB, text/plain)
2012-10-12 18:16 EDT, Brian Lane
no flags Details
File: version (2 bytes, text/plain)
2012-10-12 18:16 EDT, Brian Lane
no flags Details
File: environ (787 bytes, text/plain)
2012-10-12 18:16 EDT, Brian Lane
no flags Details
File: anaconda.log (1.96 KB, text/plain)
2012-10-12 18:16 EDT, Brian Lane
no flags Details
File: syslog (93.88 KB, text/plain)
2012-10-12 18:16 EDT, Brian Lane
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-12 18:16 EDT, Brian Lane
no flags Details
File: packaging.log (1.64 KB, text/plain)
2012-10-12 18:16 EDT, Brian Lane
no flags Details
File: cmdline_file (109 bytes, text/plain)
2012-10-12 18:16 EDT, Brian Lane
no flags Details
File: release (24 bytes, text/plain)
2012-10-12 18:16 EDT, Brian Lane
no flags Details

  None (edit)
Description Brian Lane 2012-10-12 18:16:24 EDT
Description of problem:
ran tflink's smoke test netboot iso with anaconda 18.16 + updates

Version-Release number of selected component:
anaconda-18.16

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.1-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.16 exception report
:Traceback (most recent call first):
:  File "/tmp/updates/pyanaconda/ui/gui/spokes/welcome.py", line 71, in apply
:    for layout in self.data.keyboard.x_layouts:
:  File "/tmp/updates/pyanaconda/ui/gui/spokes/__init__.py", line 72, in _on_continue_clicked
:    self.apply()
:  File "/tmp/updates/pyanaconda/ui/gui/spokes/welcome.py", line 253, in _on_continue_clicked
:    StandaloneSpoke._on_continue_clicked(self, cb)
:  File "/tmp/updates/pyanaconda/ui/gui/spokes/__init__.py", line 77, in <lambda>
:    self.window.connect("continue-clicked", lambda *args: self._on_continue_clicked(cb))
:AttributeError: 'Keyboard' object has no attribute 'x_layouts'
Comment 1 Brian Lane 2012-10-12 18:16:26 EDT
Created attachment 626318 [details]
File: anaconda-tb
Comment 2 Brian Lane 2012-10-12 18:16:28 EDT
Created attachment 626319 [details]
File: product
Comment 3 Brian Lane 2012-10-12 18:16:29 EDT
Created attachment 626320 [details]
File: type
Comment 4 Brian Lane 2012-10-12 18:16:31 EDT
Created attachment 626321 [details]
File: storage.log
Comment 5 Brian Lane 2012-10-12 18:16:33 EDT
Created attachment 626322 [details]
File: version
Comment 6 Brian Lane 2012-10-12 18:16:34 EDT
Created attachment 626323 [details]
File: environ
Comment 7 Brian Lane 2012-10-12 18:16:35 EDT
Created attachment 626324 [details]
File: anaconda.log
Comment 8 Brian Lane 2012-10-12 18:16:37 EDT
Created attachment 626325 [details]
File: syslog
Comment 9 Brian Lane 2012-10-12 18:16:39 EDT
Created attachment 626326 [details]
File: hashmarkername
Comment 10 Brian Lane 2012-10-12 18:16:40 EDT
Created attachment 626327 [details]
File: packaging.log
Comment 11 Brian Lane 2012-10-12 18:16:42 EDT
Created attachment 626328 [details]
File: cmdline_file
Comment 12 Brian Lane 2012-10-12 18:16:43 EDT
Created attachment 626329 [details]
File: release
Comment 13 Chris Lumens 2012-10-13 11:22:14 EDT
You also need a new pykickstart, which has not been built yet.

Note You need to log in before you can comment on or make changes to this bug.